Subject: bug#7476: 24.0.50; tooltip-mode disabled interferes with x-popup-menu prompts

From: Mauro Aranda <[email-masked]>
Date: Tue, 10 Oct 2023 10:15:35 -0300

Eli Zaretskii <[email-masked]> writes:

 >> Date: Sat, 27 Nov 2010 11:29:44 +0100
 >> From: Dani Moncayo <[email-masked]>
 >> Cc: Drew Adams <[email-masked]>, [email-masked]
 >>
 >> On Sat, Nov 27, 2010 at 10:29, Dani Moncayo <[email-masked]> wrote:
 >> >
 >> > I cannot reproduce it on my box (I see the prompt with and without
 >> > tooltip-mode enabled).
 >> >
 >> > In GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.22.0)
 >> >  of 2010-11-26 on dani-P5PL2
 >> > Windowing system distributor `The X.Org Foundation', version 
11.0.10900000
 >> >
 >>
 >> On further tests I've found a way to reproduce this problem on my
 >> system: Just before step #5, give focus to another GNOME application,
 >> and then select Emacs again,
 >
 > Thanks.  So I guess this is not specific to MS-Windows.

I tried to reproduce it on MS-Windows but after the fix for Bug#3192, it
doesn't reproduce for me anymore.  The fix is in:

commit f22346fe5abdbdac2ba5f690c11fda4d4f5d22d6
Author: Mauro Aranda <[email-masked]>
Date:   Mon Sep 16 22:17:51 2019 +0200

     With tooltip-mode disabled, don't unconditionally clear the echo area

     * lisp/tooltip.el (tooltip-show-help-non-mode): Only clear the
     echo area when the current message displayed is a tooltip message
     (Bug#3192).

If I revert that change, then it's easily reproducible.

I cannot reproduce it on GNU/Linux neither (even following the
extra step given by Dani Moncayo)